Subject: libtool 20030216: problem recognizing import libraries
From: Teun Burgers <[email-masked]>
To: [email-masked]
Date: Fri, 07 Mar 2003 09:51:21 +0100

When I libtoolize with libtool-devel-20030216, I can't build dll's that I was able to
build with libtool-devel-20030103. When linking with 20030216 I get messages such
as these:

*** Warning: linker path does not have real file for library -lcygwin.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
*** shared version of the library, which you do not appear to have
*** because I did check the linker path looking for a file starting
*** with libcygwin and none of the candidates passed a file format test
*** using a file magic. Last file checked: /usr/lib/libcygwin.a

I get this message for the following libs:

-lcygwin -luser32 -ladvapi32 -lkernel32 -lshell32

20030103 *does* recognize all these libraries as import-libs/shared libs.

Then of cause the shared library is not built with 20030216 with this message:

*** Since this library must not contain undefined symbols,
*** because either the platform does not support them or
*** it was explicitly requested with -no-undefined,
*** libtool will only create a static version of it.

How can I build this shared library with 20030216?

btw unpatched 20030216 can also build this dll.

regards

Teun Burgers

-- 
Drs A.R. Burgers        Energy research Centre of the Netherlands
Phone: +31-224-564959   P.O. Box 1
Fax  : +31-224-568214   NL-1755 ZG Petten
email: [email-masked]   The Netherlands

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/